BeEF from git Fails on SQLite Gem Install

You need ruby-dev as a package.

sudo apt install ruby-dev

When running:

Traceback (most recent call last):
4: from ./beef:44:in `

'
3: from /usr/lib/ruby/2.5.0/rubygems/core_ext/kernel_require.rb:59:in `require'
2: from /usr/lib/ruby/2.5.0/rubygems/core_ext/kernel_require.rb:59:in `require'
1: from /opt/beef/core/loader.rb:17:in `'
/opt/beef/core/loader.rb:17:in `require': cannot load such file -- xmlrpc/client (LoadError)

Need xmlrpc installed (used to be included).

sudo gem install 'xmlrpc'

This entry was posted in Technical. Bookmark the permalink.

Leave a Reply